<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.process.mapper.RStatWorkOrderDetailMapper">
  <resultMap id="BaseResultMap" type="com.njcn.process.pojo.po.RStatWorkOrderDetailPO">
    <!--@mbg.generated-->
    <!--@Table r_stat_work_order_detail-->
    <id column="problem_no" jdbcType="VARCHAR" property="problemNo" />
    <result column="work_order_status" jdbcType="VARCHAR" property="workOrderStatus" />
    <result column="work_order_type" jdbcType="VARCHAR" property="workOrderType" />
    <result column="primary_business_type" jdbcType="VARCHAR" property="primaryBusinessType" />
    <result column="two_business_type" jdbcType="VARCHAR" property="twoBusinessType" />
    <result column="power_supply_station" jdbcType="VARCHAR" property="powerSupplyStation" />
    <result column="work_order_process" jdbcType="VARCHAR" property="workOrderProcess" />
    <result column="whbz" jdbcType="VARCHAR" property="whbz" />
    <result column="work_order_leader" jdbcType="VARCHAR" property="workOrderLeader" />
    <result column="work_order_over_time" jdbcType="TIMESTAMP" property="workOrderOverTime" />
    <result column="expect_ask_feedback_time" jdbcType="TIMESTAMP" property="expectAskFeedbackTime" />
    <result column="pick_up_person" jdbcType="VARCHAR" property="pickUpPerson" />
    <result column="distribution_time" jdbcType="TIMESTAMP" property="distributionTime" />
    <result column="expiration_time" jdbcType="TIMESTAMP" property="expirationTime" />
    <result column="relation_device" jdbcType="VARCHAR" property="relationDevice" />
    <result column="enclosure" jdbcType="VARCHAR" property="enclosure" />
    <result column="copy_for" jdbcType="VARCHAR" property="copyFor" />
    <result column="ask_feedback_time" jdbcType="TIMESTAMP" property="askFeedbackTime" />
    <result column="planned_completion_time" jdbcType="TIMESTAMP" property="plannedCompletionTime" />
    <result column="cause_feedback" jdbcType="VARCHAR" property="causeFeedback" />
    <result column="check_status" jdbcType="VARCHAR" property="checkStatus" />
    <result column="check_comments" jdbcType="VARCHAR" property="checkComments" />
    <result column="rectify_complete_time" jdbcType="TIMESTAMP" property="rectifyCompleteTime" />
    <result column="rectify_person" jdbcType="VARCHAR" property="rectifyPerson" />
    <result column="rectify_describe" jdbcType="VARCHAR" property="rectifyDescribe" />
    <result column="assess_complete_time" jdbcType="TIMESTAMP" property="assessCompleteTime" />
    <result column="assess_result" jdbcType="VARCHAR" property="assessResult" />
    <result column="assess_describe" jdbcType="VARCHAR" property="assessDescribe" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    problem_no, work_order_status, work_order_type, primary_business_type, two_business_type, 
    power_supply_station, work_order_process, whbz, work_order_leader, work_order_over_time, 
    expect_ask_feedback_time, pick_up_person, distribution_time, expiration_time, relation_device, 
    enclosure, copy_for, ask_feedback_time, planned_completion_time, cause_feedback, 
    check_status, check_comments, rectify_complete_time, rectify_person, rectify_describe, 
    assess_complete_time, assess_result, assess_describe
  </sql>
</mapper>